<WebBox ID="edit_menu">

<div id="menu_place"></div>

<form name="edit_menu" onsubmit="return false;">
<input type="submit" class="hidden_submit" value=""
       onclick="this.focus(); update();">
<table>
  <tr>
    <td class="item">
      ID:<input type="text" name="item_id" value="{{item_id}}">&nbsp;&nbsp;
      Caption:<input type="text" name="item_caption" value="{{item_caption}}">
    </td>
    <td>
      <a class="button" href="javascript:update()">Update</a>
      <a class="button" href="javascript:del()">Delete</a>
    </td>
  </tr>
  <Repeat rs="subitems">
    <tr>
      <td class="subitem">
        <li/>
        <a href="javascript:edit('{{id}}')">{{caption}}</a>
      </td>
      <td>
        <a class="button" href="javascript:move_up('{{id}}')">Move Up</a>
        <a class="button" href="javascript:move_down('{{id}}')">Move Down</a>
      </td>
    </tr>
  </Repeat>
  <tr>
    <td class="subitem">
      id:<input type="text" name="new_id" value="">
      caption:<input type="text" name="new_caption" value="">
    </td>
    <td>
      <a class="button" href="javascript:add_subitem()">Add Subitem</a>
    </td>
  </tr>
</table>
</form>

<div>
  <a class="button" href="javascript:apply()">Apply Changes</a>
  <a class="button" href="javascript:cancel()">Cancel Changes</a>
</div>
</WebBox>
